* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

.pokecard {
    /* background-color: rgb(220, 220, 220); */
    display: flex;
    flex-direction: column;
    width: 15em;
    height: 25em;
    border-radius: 5%;
    margin: auto;
    position: relative;
    /* margin-left: 2em; */
}

.description {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.description__imgs {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.description__imgs button {
    border-radius: 50%;
    border: transparent;
    background-color: rgb(255, 255, 255);
}

.description__imgs button:hover {
    background-color: rgb(147, 147, 147);
    cursor: pointer;
}

.description__imgs button img {
    width: 1.5em;
    align-items: center;
}

.description__img {
    height: 7em;
    width: 7em;
}

.description__title {
    padding: 0;
    margin: 0;
    align-items: flex-start;
    color: #071E22;
}

.abilities,
.types,
.weight {
    padding-left: 1em;
    margin-top: 1em;
    color: #071E22;
}

.abilties__list,
.types__list,
.weight__item {
    list-style-type: none;
    padding-left: 3em;
}

/* pokeball */
.pokeball {
    border-radius: 50%;
    width: 30px;
    height: 30px;
    background-color: red;
    position: absolute;
    border: 1px solid #000;
    right: 10px;
    top: 10px;
    overflow: hidden;
    cursor: pointer;
}

.pokeball::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 50%;

}

.pokeball::before {
    content: "";
    position: absolute;
    top: calc(30px - 16px);
    left: -1px;
    width: 100%;
    height: 50%;
    z-index: 10;
    background-color: rgb(255, 255, 255);
    border: solid 1px #000
}

.pokeball__btn {
    content: "";
    position: absolute;
    height: 2.5px;
    width: 2.5px;
    padding: 2.5px;
    border-radius: 50%;
    background-color: #000;
    z-index: 20;
    top: 12px;
    left: 11.5px;

}

.pokeball:hover .pokeball__btn {
    /* transform: translate(14px); */
    animation: trans 2000ms linear infinite;
    /* animation-direction: alternate-reverse */
}

.pokeball:hover {
    animation: wiggle 500ms ease-in infinite;
}

@keyframes trans {
    0% {
        transform: translate(0px);
    }

    20% {
        transform: translate(8px);
    }

    40% {
        transform: translate(16px);
    }

    60% {
        transform: translate(4000px);
    }

    80% {
        transform: translate(-16px);
    }

    100% {
        transform: translate(0px);
    }
}



@keyframes wiggle {
    0% {
        transform: rotate(0deg);
    }

    25% {
        transform: rotate(25deg);
    }

    50% {
        transform: rotate(0deg);
    }

    75% {
        transform: rotate(-25deg);
    }

    100% {
        transform: rotate(0deg);
    }

}